Last Comment Bug 123230 - We need a coding introduction for Mozilla
: We need a coding introduction for Mozilla
Status: RESOLVED FIXED
u=mozdev p=0 c=Platform
:
Product: Developer Documentation
Classification: Other
Component: Mozilla Platform (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Eric Shepherd [:sheppy]
:
Mentors:
http://www.mozilla.org/hacking/coding...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-03 08:38 PST by Kai Engert (:kaie)
Modified: 2016-02-29 02:33 PST (History)
9 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Grammar/punctuation/spelling/readability patch. (17.11 KB, patch)
2007-03-22 04:06 PDT, Bryan Price
no flags Details | Diff | Review

Description Kai Engert (:kaie) 2002-02-03 08:38:54 PST
I have written an introduction that might help developers to get started with
developing Mozilla.

I'm looking for reviewers, and eventually we might want to publish it on
Mozilla.org.
This bug could also be used to track modifications / requests to the document.

The document currently lives at:
  http://www.kuix.de/mozilla/coding-introduction.html
Comment 1 mental 2002-03-06 00:53:48 PST
Looks like it's now up at mozilla.org:

http://www.mozilla.org/hacking/coding-introduction.html
Comment 2 James Cox 2002-04-01 13:10:38 PST
accepting QA for mozilla developer docs.

some of these bugs have been around for a _long_ time. Reporters, would you
please review the bugs, see if the issues have been resolved, and close bugs
appropriately.

I will do a full review of all bugs not touched in one week (8th April). 

Thanks.

</spam>
Comment 3 Kai Engert (:kaie) 2002-04-02 13:11:04 PST
The introduction now exists, I suggest we keep this bug open for tracking chang
requests.
Comment 4 Neil Becker 2002-08-06 10:36:18 PDT
"A broken tree sucks."
gotta love it...
Comment 5 Tim Burke 2002-09-03 12:19:57 PDT
The intro document mentions that more and more interfaces will be frozen as Mozilla "approaches the magical version number One-Dot-Zero". 

Well, we're there. Is there a document which summarizes the frozen interfaces? Seems like it could be useful, with a link embedded in the intro document.
Comment 6 Prognathous 2003-02-11 17:32:05 PST
This is an excellent document, but it could use some more links. Here's an example:

"If you are developing only on one combination of operating system and compiler,
and you are not paying attention to the portability rules (read the documents on
mozilla.org)"

IMO, such references should be linked, (in this case
http://www.mozilla.org/hacking/cpp_portability )

Prog.

Comment 7 steve.swanson 2003-10-22 08:52:11 PDT
There are several &apos; when I view http://mozilla.org/hacking/coding-
introduction.html.
Comment 8 Mika Pruikkonen 2003-11-29 20:36:42 PST
Confirming the above in IE (version 6.0.2800.1106 at least). Dunno if you
want to fix it or not, but maybe you could just write "It&apos;s" as "It's"
-- most of the rest of mozilla.org seems to be doing that.
Comment 9 Gary Turovsky 2004-10-01 15:41:30 PDT
There is a small mistake.  This should be "a", not "an".

“Instead you define an descriptive identifier for your text, which is used in
your C++ or JavaScript file.”
Comment 10 Manuel Vázquez Acosta 2005-07-22 12:08:52 PDT
Small "bug" in Strings in C++ section. It says: "Sometimes you just need to
fixed size string", it should say: "Sometimes you just need a fixed size
string", with a n "a" instead of a "to".

Regard, Manuel.
Comment 11 Ka'ala Yezbick 2005-09-04 20:44:19 PDT
Typo: "It is based of the Linux project's glimpse engine with internal
modifications."  ("of" should be "on").  
Cheers, Ka'ala Yezbick
Comment 12 Nickolay_Ponomarev 2007-01-18 17:53:19 PST
We should just migrate that to MDC and close this bug.
Comment 13 Bryan Price 2007-03-22 04:06:30 PDT
Created attachment 259316 [details] [diff] [review]
Grammar/punctuation/spelling/readability patch.

I made several minor grammar/punctuation/spelling and readability changes that I think might help this great introductory document. I considered explaining the CORBA acronym but did not. Please check the XUL readability changes to be sure I didn't misrepresent the original "action controls react to" phrasing.
Comment 14 Nickolay_Ponomarev 2007-03-22 05:30:14 PDT
Bryan: This patch is unlikely to get applied, unless you drag it through the review and check-in process. If you have time, I suggest migrating the original document to developer.mozilla.org instead and making your change in the wiki version afterwards. Thanks
Comment 15 Hendrik Lönngren 2008-04-07 20:40:53 PDT
I have ported the document to http://developer.mozilla.org/en/docs/An_Introduction_To_Hacking_Mozilla.
Comment 16 John Karahalis [:openjck] 2012-12-04 07:35:30 PST
Automatically closing all bugs that have not been updated in a while. Please reopen if this is still important to you and has not yet been corrected.
Comment 17 John Karahalis [:openjck] 2012-12-04 08:05:36 PST
Reopening for review by Sheppy.

Note You need to log in before you can comment on or make changes to this bug.